{ config, lib, pkgs, ... }:
let
  nextcloudSync = folder:
    pkgs.writers.writeBashBin "nextcloud-sync-${folder}" ''
      ${pkgs.nextcloud-client}/bin/nextcloudcmd \
        --user palo \
        --password `pass show home/nextcloud/palo/nextcloudcmd-token` \
        ~/Nextcloud/${folder} \
        https://nextcloud.ingolf-wagner.de/remote.php/webdav/${folder}
    '';

in
{

  environment.systemPackages = with pkgs; [

    (nextcloudSync "InstantUpload")
    (nextcloudSync "Pictures")
    (nextcloudSync "Unterlagen")
    (nextcloudSync "Video")
    (nextcloudSync "Kunstbuch")

    (pkgs.writeShellScriptBin "nixFlakes" ''
      exec ${pkgs.nixUnstable}/bin/nix --experimental-features "nix-command flakes" "$@"
    '')

    sweethome3d.application
    pkgs.polygon-art.polygon-art

    # bluetooth gui
    blueberry

    nextcloud-client
    gimp
    inkscape
    imagemagick

    bitwig-studio3
    sononym-crawler
    darktable

    # rust development environment
    rustup
    jetbrains.clion

    # general
    jetbrains.idea-ultimate
    #vscode

    # python
    python3Full
    jetbrains.pycharm-professional
    jetbrains.datagrip

    element-desktop

    #tor-browser-bundle-bin
    #(tor-browser-bundle-bin.overrideAttrs (old: rec {
    #  version = "10.0.15";
    #  name = "tor-browser-bundle-${version}";
    #  src = pkgs.fetchurl {
    #    url =
    #      "https://dist.torproject.org/torbrowser/10.0.15/tor-browser-linux64-10.0.15_en-US.tar.xz";
    #    sha256 = "1ah69jmfgik063f9gkvyv9d4k706pqihmzc4k7cc95zyd17v8wrs";
    #  };
    #}))

  ];

}
